  @echo off

REM *** Look for regsvr32.exe

  set svrpath=%windir%\system32
  if exist "%svrpath%\regsvr32.exe" goto RegSvrFound
  set svrpath=%windir%\system
  if exist "%svrpath%\regsvr32.exe" goto RegSvrFound
  set svrpath=%windir%
  if exist "%svrpath%\regsvr32.exe" goto RegSvrFound
  set svrpath=NOTFOUND
  :RegSvrFound

REM *** Look for regedit.exe

  set regpath=%windir%
  if exist "%regpath%\regedit.exe" goto RegEditFound
  set regpath=%windir%\system
  if exist "%regpath%\regedit.exe" goto RegEditFound
  set regpath=%windir%\system32
  if exist "%regpath%\regedit.exe" goto RegEditFound
  set regpath=NOTFOUND
  :RegEditFound

REM *** Check for missing files

  if "%svrpath%"=="NOTFOUND" goto MissingFiles
  if "%regpath%"=="NOTFOUND" goto MissingFiles

REM *** Check if we are in a subdirectory of the plugins

  if not exist ..\..\msgplus.exe goto WrongDir
  if not exist ..\..\plugins\nul goto WrongDir

REM *** Unregister wronlgy and/or previous registered DLL (if it exist)

  "%svrpath%\regsvr32.exe" /u /s DiceRoller.dll
  "%svrpath%\regsvr32.exe" /u /s ..\DiceRoller.dll

REM *** Copy and register new DLL (overwrite if necessary)

  copy /y DiceRoller.dll .. > nul
  "%svrpath%\regsvr32.exe" /s ..\DiceRoller.dll

REM *** Create/execute/delete registryfile

  echo REGEDIT4 > dicerollerreg.tmp
  echo. >> dicerollerreg.tmp
  echo [HKEY_LOCAL_MACHINE\SOFTWARE\Patchou\MsgPlus2\RegisteredPlugins] >> dicerollerreg.tmp
  echo "Dice Roller"="DiceRoller.TONY" >> dicerollerreg.tmp
  "%regpath%\regedit.exe" /s dicerollerreg.tmp
  del dicerollerreg.tmp > nul
  goto Installed

REM *** Errorhandle: Missing files

  :MissingFiles
  echo Batch Installer v1.3 - Error
  echo ============================
  echo.
  if "%svrpath%"=="NOTFOUND" echo Missing or not found: regsvr32.exe
  if "%regpath%"=="NOTFOUND" echo Missing or not found: regedit.exe
  echo.
  echo Make sure the above program(s) exist.
  echo These programs are a part of Windows and are crucial for
  echo your system to work properly.
  echo.
  echo This installer can't function without them.
  goto End

REM *** Errorhandle: Wrong directory

  :WrongDir
  echo Batch Installer v1.3 - Error
  echo ============================
  echo.
  echo You didn't unzip the file into the plugins folder or the
  echo subdirectory is not made properly.
  echo.
  echo Unzip the ZIP into the plugins folder of Messenger Plus!.
  echo When unzipped, the files (including this installer) should
  echo be into the subdirectory called "dieroller version 2.1".
  echo.
  echo Verify if this is correct!
  echo.
  echo If not, then delete all the files and try again.
  echo.
  echo.
  echo.
  echo Note: When you use WinZip to extract the files make sure
  echo       you also select the option "Use folder names" in the
  echo       extract dialog. As this will create the subdirectory
  echo       needed for the dice roller.
  goto End

REM *** EndNote

  :Installed
  echo.
  echo Installed...
  echo.
  echo If this is a new install you must install the icons now.
  echo Follow the instructions in "readme1st.txt" (STEP 5) to
  echo install those icons in MSN Messenger. The shortcuts for
  echo the icons MUST be the same as described in "readme1st.txt".
  goto End

REM *** Quit

  :End
  set svrpath=
  set regpath=
  echo.
  echo.
  echo.
  echo.(press any key to close this window)
  pause > nul
  echo.


REM *** This installer was written by CookieRevised in
REM *** old style DOS batch language for maximum compatibily.
